[ONOS-5184] Allow configuring cluster partition size
Adds a new parameter to onos-form-cluster: -s <partition-size>
to allow specifying the partition size to be used when creating
the cluster.
Change-Id: I4c31d6e97fe0fd811831296f41a09160bebb58de
diff --git a/tools/test/bin/onos-form-cluster b/tools/test/bin/onos-form-cluster
index d0672db..a9f6a5b 100755
--- a/tools/test/bin/onos-form-cluster
+++ b/tools/test/bin/onos-form-cluster
@@ -7,10 +7,11 @@
. $ONOS_ROOT/tools/build/envDefaults
# Scan arguments for user/password or other options...
-while getopts u:p: o; do
+while getopts u:p:s: o; do
case "$o" in
u) user=$OPTARG;;
p) password=$OPTARG;;
+ s) partitionsize=$OPTARG;;
esac
done
ONOS_WEB_USER=${ONOS_WEB_USER:-onos} # ONOS WEB User defaults to 'onos'
@@ -29,6 +30,12 @@
nodes="$@"
fi
+if ! [ -z ${partitionsize} ]; then
+ partitionarg="-s ${partitionsize}"
+else
+ partitionarg=
+fi
+
set -x
-ssh $ONOS_USER@$node $ONOS_INSTALL_DIR/bin/onos-form-cluster -u $user -p $password $nodes
+ssh $ONOS_USER@$node $ONOS_INSTALL_DIR/bin/onos-form-cluster -u $user -p $partitionarg $password $nodes